# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "node_shim"
version = "0.19.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A crate that maps Node.js CLI arguments into Deno arguments."
readme = false
license = "MIT"
resolver = "2"

[lib]
name = "node_shim"
path = "lib.rs"

[[bin]]
name = "node_shim"
path = "main.rs"

[dependencies.serde_json]
version = "1.0.85"

[dependencies.url]
version = "2.5"
features = [
    "serde",
    "expose_internals",
]

[target."cfg(unix)".dependencies.exec]
version = "0.3.1"
